Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.openpgp.examples
Class DSAElGamalKeyRingGenerator

    java.lang.Object
      org.bouncycastle.openpgp.examples.DSAElGamalKeyRingGenerator

    public class DSAElGamalKeyRingGenerator

extends java.lang.Object

A simple utility class that generates a public/secret keyring containing a DSA signing key and an El Gamal key for encryption.

usage: DSAElGamalKeyRingGenerator [-a] identity passPhrase

Where identity is the name to be associated with the public key. The keys are placed in the files pub.[asc|bpg] and secret.[asc|bpg].

Note: this example encrypts the secret key using AES_256, many PGP products still do not support this, if you are having problems importing keys try changing the algorithm id to PGPEncryptedData.CAST5. CAST5 is more widelysupported.

Constructor Summary
`DSAElGamalKeyRingGenerator()`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSAElGamalKeyRingGenerator

    public DSAElGamalKeyRingGenerator()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Bouncy Castle Cryptography Library 1.45